/*
 * Julian calendar routine.
 *
 * Tracy Snell, EnterAct, L.L.C.
 * 2/20/96 (2450134)
 *
 * This code just a straight port of Cognos Incorporated's
 * perl routines.
 *
 */

#include <stdio.h>


int jday (int month, int day, int year)
{
	int c, ya, jd;

	int brit_jd = 2361222;

	year = 1996;

	if (month > 2) {
		month -= 3;
	} else {
		month += 9;
		year--;
	}

	c = (int) (year/100);
	ya = year - (100 * c);

	jd = (int) ((146097 * c) / 4) + 
		(int)((1461 * ya) / 4) +
		(int)((153 * month + 2) / 5) +
		day + 1721119;

	if (jd < brit_jd) {
		fprintf (stderr, "warning: pre-dates British use of Gregorian calenday\n");
	}


	return jd;
}

