/* radmysql.h

   define constants for MYSQL-Access

MYSQL_TABLE must have the following structure...

you can create it by the feeding the file create.sql
into mysql (cat create.sql | mysql DATABASE)

+----------------+-------------+------+-----+---------+-------+
| Field          | Type        | Null | Key | Default | Extra |
+----------------+-------------+------+-----+---------+-------+
| jahr           | int(11)     |      |     | 0       |       |
| monat          | int(11)     |      |     | 0       |       |
| tag            | int(11)     |      |     | 0       |       |
| mytime         | int(11)     |      |     | 0       |       |
| id             | varchar(32) |      | MUL |         |       |
| name           | varchar(32) |      | MUL |         |       |
| protocol       | int(11)     | YES  |     |         |       |
| time_used      | int(11)     | YES  |     |         |       |
| inputpackets   | int(11)     | YES  |     |         |       |
| outputpackets  | int(11)     | YES  |     |         |       |
| causecode      | int(11)     | YES  |     |         |       |
| progress       | int(11)     | YES  |     |         |       |
| datarate       | int(11)     | YES  |     |         |       |
| presessiontime | int(11)     | YES  |     |         |       |
| preinput       | int(11)     | YES  |     |         |       |
| preoutput      | int(11)     | YES  |     |         |       |
| firstdest      | varchar(15) | YES  |     |         |       |
| address        | varchar(32) | YES  |     |         |       |
| callerid       | varchar(30) | YES  |     |         |       |
+----------------+-------------+------+-----+---------+-------+

*/

#define MYSQL_HOSTNAME	"127.0.0.1"
#define MYSQL_DATABASE	"radius"
#define MYSQL_TABLE	"UserLog"
#define MYSQL_USER	"myuser"
#define MYSQL_PWD	"mypass"
